Db2Database (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.db.db2.Db2Database interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.db.db2
Interface Db2Database

All Superinterfaces:
  ConfigurationItem, Database, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Db2Database

extends Database

Represents an instance of the Db2 Database.

Naming Rules:
  0="parent,name,alias" 1="managedSystemName" 2="subsystem,name" 3="dataSharingGroup,name"
Persistable:
  true
Table Name:
  DBTDBASE
Top Level:
  true
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAlias()`
`Db2BufferPool[]` | `getBufferPools()`
`Db2DatabaseConfigValue[]` | `getConfigValues()`
`DB2DataSharingGroup` | `getDataSharingGroup()`
`Db2Instance` | `getParent()`
`java.lang.String` | `getPath()`
`Db2Schema[]` | `getSchemas()`
`LogicalContent` | `getSchemasRawData()`
`DB2Subsystem` | `getSubsystem()`
`Db2TableSpace[]` | `getTableSpaces()`
`boolean` | `hasAlias()`
`boolean` | `hasBufferPools()`
`boolean` | `hasConfigValues()`
`boolean` | `hasDataSharingGroup()`
`boolean` | `hasParent()`
`boolean` | `hasPath()`
`boolean` | `hasSchemas()`
`boolean` | `hasSchemasRawData()`
`boolean` | `hasSubsystem()`
`boolean` | `hasTableSpaces()`
`void` | `setAlias(java.lang.String alias)`
`void` | `setBufferPools(Db2BufferPool[] pools)`
`void` | `setConfigValues(Db2DatabaseConfigValue[] configValues)`
`void` | `setDataSharingGroup(DB2DataSharingGroup x)`
`void` | `setParent(Db2Instance parent)`
`void` | `setPath(java.lang.String path)`
`void` | `setSchemas(Db2Schema[] schemas)`
`void` | `setSchemasRawData(LogicalContent schemas)`
`void` | `setSubsystem(DB2Subsystem x)`
`void` | `setTableSpaces(Db2TableSpace[] tableSpaces)`

Methods inherited from interface com.collation.platform.model.topology.app.db.Database
`getName, hasName, setName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSubsystem

    DB2Subsystem getSubsystem()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setSubsystem

    void setSubsystem(DB2Subsystem x)

### hasSubsystem

    boolean hasSubsystem()

### getDataSharingGroup

    DB2DataSharingGroup getDataSharingGroup()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setDataSharingGroup

    void setDataSharingGroup(DB2DataSharingGroup x)

### hasDataSharingGroup

    boolean hasDataSharingGroup()

### getParent

    Db2Instance getParent()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(Db2Instance parent)

### hasParent

    boolean hasParent()

### getSchemasRawData

    LogicalContent getSchemasRawData()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.GivesDetails" reverse="false"

### setSchemasRawData

    void setSchemasRawData(LogicalContent schemas)

### hasSchemasRawData

    boolean hasSchemasRawData()

### getTableSpaces

    Db2TableSpace[] getTableSpaces()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setTableSpaces

    void setTableSpaces(Db2TableSpace[] tableSpaces)

### hasTableSpaces

    boolean hasTableSpaces()

### getConfigValues

    Db2DatabaseConfigValue[] getConfigValues()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"
  Containment Relationship:
    true

### setConfigValues

    void setConfigValues(Db2DatabaseConfigValue[] configValues)

### hasConfigValues

    boolean hasConfigValues()

### getBufferPools

    Db2BufferPool[] getBufferPools()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setBufferPools

    void setBufferPools(Db2BufferPool[] pools)

### hasBufferPools

    boolean hasBufferPools()

### getAlias

    java.lang.String getAlias()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAlias

    void setAlias(java.lang.String alias)

### hasAlias

    boolean hasAlias()

### getPath

    java.lang.String getPath()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPath

    void setPath(java.lang.String path)

### hasPath

    boolean hasPath()

### getSchemas

    Db2Schema[] getSchemas()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"
  Containment Relationship:
    true

### setSchemas

    void setSchemas(Db2Schema[] schemas)

### hasSchemas

    boolean hasSchemas()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD